%%
%% FGShortRef.tex -- Flight Gear documentation: Short reference
%%
%% Written by Michael Basler, starting May 2001.
%%
%% Copyright (C) 2002 Michael Basler
%%
%% This program is free software; you can redistribute it and/or
%% modify it under the terms of the GNU General Public License as
%% published by the Free Software Foundation; either version 2 of the
%% License, or (at your option) any later version.
%%
%% This program is distributed in the hope that it will be useful, but
%% WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%% General Public License for more details.
%%
%% You should have received a copy of the GNU General Public License
%% along with this program; if not, write to the Free Software
%% Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%% $Id: FGShortRef.tex,v 0.6 2002/09/09 michael
%% (Log is kept at end of this file)

\documentclass[10pt]{article}
\usepackage{graphicx}
\usepackage{times}
\usepackage{hyperref}
\usepackage{multicol}
\pagestyle{empty}
\usepackage{a4}
\usepackage[german,french,english]{babel}
\usepackage{iflang}
\selectlanguage{english}


\newcommand{\Index}[1]{#1\index{#1}}
\newcommand{\FlightGear}{{\itshape\bfseries FlightGear}}
\newcommand{\TerraGear}{{\itshape\bfseries TerraGear}}
\newcommand{\SimGear}{{\itshape\bfseries SimGear}}
\newcommand{\PLIB}{{\itshape\bfseries PLIB}}
\newcommand{\JSBSim}{{\itshape\bfseries JSBSim}}
\newcommand{\web}[1]{\href{#1}{#1}}
\newcommand{\mail}[1]{\href{mailto:#1}{#1}}
\newcommand{\Cygwin}{{\itshape\bfseries Cygwin}}

%% Following is substituted by build process
\newcommand{\version}{{VERSION}}

\newcommand{\longpage}{\enlargethispage{\baselineskip}}
\newcommand{\shortpage}{\enlargethispage{-\baselineskip}}

\makeindex

\begin{document}
\longpage

\centerline{\large \textbf{\FlightGear{} Short Reference}}
\medskip

\scriptsize \noindent
%\footnotesize \noindent
 \FlightGear{} is a free flight simulator developed collectively over the
 Internet under the GPL.  For more information see  \web{http://www.flightgear.org/}\\

\hspace*{-8mm}
\begin{tabular}{ll}
\textbf{Program Start:}  & Linux/UNIX via fgfs under FlightGear/,\\
                         & Mac OS X via FlightGear.app under /Applications/,\\
                         & Windows via the \FlightGear{} wizard fgrun.exe under
         $\backslash$Program Files$\backslash$FlightGear$\backslash$bin$\backslash$Win32$\backslash$\\

\textbf{Engine Start:}   & Set ignition switch to BOTH (``\}'' three times). Set mixture to 100\%.
                           Set throttle to about 25\%. Operate starter using the ``s'' key. \\
                         & Once the engine has started, set throttle back to idle.
                           Release parking brake (``B''), if applied.
\end{tabular}
\medskip

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \noindent
 \textbf{Keyboard controls:}
\begin{multicols}{2}
 \noindent
Table 1: \textit{Directional controls (activated \texttt{NumLock}})\\

\noindent
\input{tab2}
\bigskip

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \noindent
Table 2: \textit{Engine controls}
\medskip

 \noindent
\input{tab7}
\medskip

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \noindent
Table 3: \textit{Miscellaneous aircraft controls}
\medskip

 \noindent
\input{tab8}
\bigskip


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \noindent
Table 4: \textit{General simulator controls}
\medskip

 \noindent
\input{tab6}
\medskip

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\noindent
Table 5: \textit{View controls (de-activated \texttt{NumLock})}
\medskip

 \noindent
 \input{tab3}
\medskip


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\medskip

 \noindent
 Table 6: \textit{Autopilot controls}
\medskip

\noindent
\input{tab5}
\medskip

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \noindent
 Table 7: \textit{Display controls}
\medskip

 \noindent
\input{tab4}
\bigskip

\end{multicols}

 \noindent
 \textbf{Mouse controlled functions:}
 There are three mouse modes, which can be swapped between by using the Tab key on your keyboard.

 \begin{enumerate}
 \item In \textbf{normal} mode (pointer cursor), the panel and cockpit controls can be
 operated using the mouse. To change a control, click with the left/middle mouse button
 on the corresponding knob/lever. Generally, the left side of the control decreases the setting,
 while the right side increases the setting. The left mouse button makes small changes while the
 middle button makes larger ones. Some controls can also be manipulated by holding down the left
 mouse button and dragging them, or by using the mouse scrollwheel. You can change the view
 direction by holding down the right mouse button and moving your mouse.
 Press Ctrl-c to view panel/cockpit hotspots.

 \item In \textbf{control} mode (cross hair cursor), the mouse is used to directly control
 the aircraft in the absence of a joystick. Moving the mouse controls the aileron (left/right)
 and elevator (forwards/backwards). Holding the left mouse button down allows control of the rudder
 (left/right), while holding the middle mouse button controls throttle (forwards/backwards).
 The scrollwheel controls elevator trim. Using auto-coordination
 (\texttt{-$ $-enable-auto-coordination}) is recommended. You can change the view
 direction by holding down the right mouse button and moving your mouse.

 \item In \textbf{view} mode (arrow cursor), you can control the view direction using the mouse.
 Clicking the left mouse button resets the view direction. Holding the middle button down while
 moving the mouse shifts the viewpoint. The scrollwheel may be used to control the field of view.

\end{enumerate}

 \noindent
 Short Reference by M. Basler, S. Buchanan for \FlightGear{} \version{}.\\
 Published under the GPL (\web{http://www.gnu.org/copyleft/gpl.html})

\end{document}

%% Revision 0.4  2001/01/05  michael
%% Initial revision based on getting Started 0.4
%% Revision 0.5 2002/02/15   michael
%% based on \inputs of revised table files from Getting Started 0.5
